<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-5 col-md-4 col-lg-3">
          <label>Clasificación</label>
          <input type="text" maxlength="6" formControlName="Clasif" class="form-control" [readonly]="flagEdit">
        </div>
        <div class="form-group col-7 col-md-6 col-lg-5">
          <label>Descripción</label>
          <input type="text" formControlName="Descripcion" class="form-control" maxlength="40">
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true"
      [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 52vh;" *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Clasif" title="Clasificación" width="170"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="280"></kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>
